> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorylake.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建项目

> 创建新项目，包含名称和可选描述

```
POST /openapi/memorylake/api/v1/projects
```

创建一个新项目。返回创建的项目，其 ID 格式为 `proj-{uuid}`。

<Note>
  **所需权限：** [`project:create`](/zh/features/team-collaboration/permission-reference#创建新项目) · `service`
</Note>

### 请求体

<ParamField body="name" type="string" required>
  项目名称（1-255 个字符）
</ParamField>

<ParamField body="description" type="string">
  项目描述（最多 2000 个字符）
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v1/projects' \
    -H 'Authorization: Bearer sk_xxxxxx' \
    -H 'Content-Type: application/json' \
    -d '{
      "name": "My New Project",
      "description": "This project contains documents and memories related to my research"
    }'
  ```
</RequestExample>

### 响应

<ResponseField name="data" type="object">
  <Expandable title="项目对象">
    <ResponseField name="id" type="string">项目唯一标识</ResponseField>
    <ResponseField name="name" type="string">项目名称</ResponseField>
    <ResponseField name="description" type="string">项目描述</ResponseField>
    <ResponseField name="created_at" type="string">创建时间</ResponseField>
    <ResponseField name="updated_at" type="string">最后更新时间</ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "success": true,
    "message": "Operation completed successfully",
    "data": {
      "id": "proj-a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6",
      "name": "My New Project",
      "description": "This project contains documents and memories related to my research",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  }
  ```
</ResponseExample>
